Subject: Re: bug#16721: 24.3.50; can not use ext font anymore

From: Glenn Morris <[email-masked]>
Date: Tue, 11 Feb 2014 16:27:51 -0500

Ivan Kanis wrote:

> 1) emacs -Q
> 2) eval the following in *scratch*
>
> (set-fontset-font "fontset-default" nil
>   "xft:-unknown-Symbola-normal-normal-semi-condensed-*-20-*-*-*-*-0-iso10646-1")
>
> I expect a return of nil. I get an error "Invalid font name".

This is due to r113049. Perhaps it is working as it should, I don't know.

committer: K. Handa <[email-masked]>
timestamp: Tue 2013-06-18 23:51:25 +0900
message:
  font.c (Ffont_spec): Signal an error for an invalid font name.

> 'CFLAGS=-g -DSYSTEM_PURESIZE_EXTRA=1000000''

Unrelated, but I would recommend not doing that, unless you have a good
reason to.